<?php

namespace Hecate\Components\Section;

use Hecate\Components\ComponentBase;
use Hecate\Components\Traits\BuilderOverlayTrait;


class SectionComponent extends ComponentBase {
//	use BuilderOverlayTrait;

	public static $type         = 'section';
	protected static $rootClass = 'hecate-section-container';
	protected static $template  = 'components/section';

    public function renderBackgroundPartialRefresh() {}

	public function getSections() {
		return array(
			array(
				'id'              => $this->getSectionId(),
				'title'           => __( 'Footer', 'hecate' ),
				'panel'           => $this->getCurrentPanel(),
				'type'            => 'hecate-tab-section',
				'priority'        => 3,
			),
		);
	}
}

